hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From a..@apache.org
Subject hadoop git commit: HADOOP-11994. smart-apply-patch wrongly assumes that git is infallible. (Contributed by Kengo Seki)
Date Thu, 04 Jun 2015 17:55:49 GMT
Repository: hadoop
Updated Branches:
  refs/heads/branch-2 6325e4b7d -> 75e962f36


HADOOP-11994. smart-apply-patch wrongly assumes that git is infallible. (Contributed by Kengo
Seki)


Project: http://git-wip-us.apache.org/repos/asf/hadoop/repo
Commit: http://git-wip-us.apache.org/repos/asf/hadoop/commit/75e962f3
Tree: http://git-wip-us.apache.org/repos/asf/hadoop/tree/75e962f3
Diff: http://git-wip-us.apache.org/repos/asf/hadoop/diff/75e962f3

Branch: refs/heads/branch-2
Commit: 75e962f367aaee93e46e720f5834e0c910980e43
Parents: 6325e4b
Author: Arpit Agarwal <arp@apache.org>
Authored: Thu Jun 4 10:53:16 2015 -0700
Committer: Arpit Agarwal <arp@apache.org>
Committed: Thu Jun 4 10:54:12 2015 -0700

----------------------------------------------------------------------
 dev-support/smart-apply-patch.sh                | 5 ++++-
 hadoop-common-project/hadoop-common/CHANGES.txt | 3 +++
 2 files changed, 7 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hadoop/blob/75e962f3/dev-support/smart-apply-patch.sh
----------------------------------------------------------------------
diff --git a/dev-support/smart-apply-patch.sh b/dev-support/smart-apply-patch.sh
index be29c47..ebcb660 100755
--- a/dev-support/smart-apply-patch.sh
+++ b/dev-support/smart-apply-patch.sh
@@ -101,7 +101,10 @@ if grep -q "^diff --git" "${PATCH_FILE}"; then
   fi
   # shellcheck disable=SC2086
   git apply ${GIT_FLAGS} "${PATCH_FILE}"
-  exit $?
+  if [[ $? == 0 ]]; then
+    cleanup 0
+  fi
+  echo "git apply failed. Going to apply the patch with: ${PATCH}"
 fi
 
 # Come up with a list of changed files into $TMP

http://git-wip-us.apache.org/repos/asf/hadoop/blob/75e962f3/hadoop-common-project/hadoop-common/CHANGES.txt
----------------------------------------------------------------------
diff --git a/hadoop-common-project/hadoop-common/CHANGES.txt b/hadoop-common-project/hadoop-common/CHANGES.txt
index 5c4bb11..068a3b2 100644
--- a/hadoop-common-project/hadoop-common/CHANGES.txt
+++ b/hadoop-common-project/hadoop-common/CHANGES.txt
@@ -336,6 +336,9 @@ Release 2.8.0 - UNRELEASED
     HADOOP-12019. update BUILDING.txt to include python for 'mvn site'
     in windows (vinayakumarb)
 
+    HADOOP-11994. smart-apply-patch wrongly assumes that git is infallible.
+    (Kengo Seki via Arpit Agarwal)
+
 Release 2.7.1 - UNRELEASED
 
   INCOMPATIBLE CHANGES


Mime
View raw message